package fr.inria.alpage.frmgcm.dpp;
/* Generated By:JJTree: Do not edit this line. ASTExpression.java Version 6.0 */
/* JavaCCOptions:MULTI=true,NODE_USES_PARSER=false,VISITOR=false,TRACK_TOKENS=false,NODE_PREFIX=AST,NODE_EXTENDS=,NODE_FACTORY=,SUPPORT_CLASS_VISIBILITY_PUBLIC=true */
public
class ASTExpression extends SimpleNode {
  public ASTExpression(int id) {
    super(id);
  }

  public ASTExpression(DPathParser p, int id) {
    super(p, id);
  }
  
 public String name = "";
  
  public void setName(String image) {
    name = image;
    
  }
  
public String val ="";
  
  public void setVal(String image) {
    val = image;
    
  }
  
  public String toString() {
    return DPathParserTreeConstants.jjtNodeName[id]+ " : "+name+" ("+val+")";
  }

}
/* JavaCC - OriginalChecksum=683b113c2e0483a95e5fa610ad725bbe (do not edit this line) */
